GCLOUD_KMS_KEYS_VERSIONS_DISABLE(1)

NAME

gcloud kms keys versions disable - disable a given version

SYNOPSIS

gcloud kms keys versions disable VERSION [--key=KEY] [--keyring=KEYRING] [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Disables the specified version within the given key. Only a version which is Enabled can be Disabled.

POSITIONAL ARGUMENTS

    VERSION
        Name of the version to disable.

FLAGS

    --key=KEY
        The containing key.

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command disables version 3 of key frodo within keyring fellowship and location us-east1:
    $ gcloud kms keys versions disable 3 --location us-east1 \
        --keyring fellowship --key frodo